public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/faraday_middleware-multi_json/
Date: Fri, 16 Jul 2021 09:51:01 +0000 (UTC)	[thread overview]
Message-ID: <1626429057.9ca5c70ab679c9ae196d0737a2f177de3073d27b.graaff@gentoo> (raw)

commit:     9ca5c70ab679c9ae196d0737a2f177de3073d27b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 16 09:47:01 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jul 16 09:50:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ca5c70a

dev-ruby/faraday_middleware-multi_json: add ruby27; EAPI 7

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../faraday_middleware-multi_json-0.0.6-r2.ebuild  | 34 ++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/dev-ruby/faraday_middleware-multi_json/faraday_middleware-multi_json-0.0.6-r2.ebuild b/dev-ruby/faraday_middleware-multi_json/faraday_middleware-multi_json-0.0.6-r2.ebuild
new file mode 100644
index 00000000000..e32a1e15b42
--- /dev/null
+++ b/dev-ruby/faraday_middleware-multi_json/faraday_middleware-multi_json-0.0.6-r2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Response JSON parser using MultiJson and FaradayMiddleware"
+HOMEPAGE="https://github.com/denro/faraday_middleware-multi_json"
+SRC_URI="https://github.com/denro/faraday_middleware-multi_json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+	dev-ruby/faraday_middleware:*
+	dev-ruby/multi_json"
+
+all_ruby_prepare() {
+	# Remove bundler support.
+	rm -f Gemfile || die
+	sed -i -e '/[Bb]undler/d' Rakefile || die
+
+	# Avoid unneeded dependency on git.
+	sed -i -e '/files/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}


             reply	other threads:[~2021-07-16  9:51 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-16  9:51 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-19  6:21 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/faraday_middleware-multi_json/ Hans de Graaff
2023-03-24  6:37 Hans de Graaff
2022-12-16  9:12 Hans de Graaff
2021-10-17  8:33 Hans de Graaff
2020-05-23 18:49 Hans de Graaff
2019-05-13 18:39 Hans de Graaff
2018-09-17  6:14 Hans de Graaff
2018-04-30 20:11 Hans de Graaff
2018-01-24 16:11 Hans de Graaff
2017-08-01  5:50 Hans de Graaff
2016-09-07 23:35 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1626429057.9ca5c70ab679c9ae196d0737a2f177de3073d27b.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox